MySQL PDO Support

John_U

New Member
KH:

Do the shared reseller packages support MySQL PDO? I notice that my CPanel sites run PHP 5.2.5 which required PDO support to be added. PHP versions 5.3.x and later have PDO support enabled in the core PHP.

Is it possible for me to change the PHP version that is used? If not, is it possible to add the PDO extensions to shared reseller accounts?

John
 

Linuxuser

New Member
KH:

Do the shared reseller packages support MySQL PDO? I notice that my CPanel sites run PHP 5.2.5 which required PDO support to be added. PHP versions 5.3.x and later have PDO support enabled in the core PHP.
[Broken External Image]:http://www.1-imageshack.us/images/images/45.gif
Is it possible for me to change the PHP version that is used? If not, is it possible to add the PDO extensions to shared reseller accounts?

John
Bump was wondering about this also.
 

John_U

New Member
Bump was wondering about this also.
Sorry, I didn't think to post a followup. I contacted KnownHost Support after getting no other replies from fellow users here and found that they do not allow MySQL_PDO support to be enabled on shared or reseller accounts.

They didn't offer specific reasons but I would guess that since they no longer offer shared or reseller packages, they want to keep things as standardized and simple as possible on those existing grandfathered plans. MySQL_PDO was said to be somewhat unstable on PHP 5.2.x versions. I can see why they may not want to mess with configurations that are currently working fine.

They will enable it on VPS accounts and suggested that I may want to upgrade. I have not done so yet but do plan to upgrade this year.

John
 
Top